Bug 194385 - Intel i915 3d driver (direct rendering) does not support D945
Intel i915 3d driver (direct rendering) does not support D945
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 13:56 EDT by Mark Allyn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 19:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Allyn 2006-06-07 13:56:01 EDT
Description of problem:
I am using FC4 (with the yum upgrade as of 06/06/2006) on an Intel D945 
Chipset based system. The system uses an Intel GMA 950 Graphics device
(with PCI ID 8086-2772/2776). This is part of the Intel 945 Northbridge.

I am unable to run the Accelerated Graphic Driver (direct rendering) on
this device. If I use the LIBGL_DEBUG=verbose environment setting; I do
get an error while running the glxinfo command that the 2772 PCI-ID is
not found. 

The operation of non accelerated graphics (either vesa, or i810) is
okey.                                                                       

Version-Release number of selected component (if applicable):

Mesa 6.2.1 on Xorg 6.8.2; I believe the actual source component is
in xc/extras/mesa/src/mesa/drivers/dri/i915 either the intel_context.c or
intel_context.h. 


How reproducible:

Can be reproduced:

Steps to Reproduce:
1. Install FC4 on Intel D945 Chipset based system
2. Run "yum upgrade"
3. Set graphics device driver to "i810" in the xorg.conf file
4. Start up X
5. run glxinfo; you will see Direct Rendering is no
  
Additional info:

I believe that you need to add the PCI ID of 2772
Comment 1 Adam Jackson 2006-07-08 19:25:19 EDT
945GM DRI support was added in Mesa 6.5 and Xorg 7.1.  FC4 is not going to be
updated to modular X due to a few factors, primarily that it's a _large_ number
of packages and FC4 is nearing EOL, so this is something of a WONTFIX. 
Unfortunately it's not just a matter of adding the PCI ID, the 945 chips are
quite different from the 915s and the 2D driver would have to be updated as well.

Should work in rawhide though, or in krh's rebuilds of rawhide X for FC5.

Note You need to log in before you can comment on or make changes to this bug.